<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>PC_AddExplodeFlagToCharacteristics (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PC_AddExplodeFlagToCharacteristics (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PRIa_FixedPriceOrCostPlusMarginBased.html" title="class in com.openbravo.test.integration.erp.modules.functionalteam.pricing.testsuites.Pricing"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PC_AddExplodeFlagToCharacteristics.html" target="_top">Frames</a></li>
<li><a href="PC_AddExplodeFlagToCharacteristics.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.functionalteam.pricing.testsuites.Pricing</div>
<h2 title="Class PC_AddExplodeFlagToCharacteristics" class="title">Class PC_AddExplodeFlagToCharacteristics</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest</li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.functionalteam.pricing.testsuites.Pricing.PC_AddExplodeFlagToCharacteristics</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">PC_AddExplodeFlagToCharacteristics</span>
extends com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest</pre>
<div class="block">Execute the Setup User and Role flow of the smoke test suite.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>JBU</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest</h3>
<code>FILE_PATH_PROPERTIES, logInData, mainPage, name, watchman</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PC_AddExplodeFlagToCharacteristics.html#PC_AddExplodeFlagToCharacteristics-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicData-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicValueData-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicValueData-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicData-com.openbravo.test.integration.erp.data.masterdata.product.ProductData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-">PC_AddExplodeFlagToCharacteristics</a></span>(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicData</a>&nbsp;productCharacteristicData,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicValueData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicValueData</a>&nbsp;productCharacteristicValueData,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicValueData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicValueData</a>&nbsp;productCharacteristicValueData2,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicData</a>&nbsp;productCharacteristicData2,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductData</a>&nbsp;productData,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData2,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData3,
                                  <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData4)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PC_AddExplodeFlagToCharacteristics.html#setupProductValues--">setupProductValues</a></span>()</code>
<div class="block">Test parameters.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PC_AddExplodeFlagToCharacteristics.html#testExplodeFlagInCharacteristics--">testExplodeFlagInCharacteristics</a></span>()</code>
<div class="block">Test the setup client and organization flow.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest</h3>
<code>login, logout</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PC_AddExplodeFlagToCharacteristics-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicData-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicValueData-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicValueData-com.openbravo.test.integration.erp.data.masterdata.product.ProductCharacteristicData-com.openbravo.test.integration.erp.data.masterdata.product.ProductData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-com.openbravo.test.integration.erp.data.masterdata.product.CharacteristicsData-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PC_AddExplodeFlagToCharacteristics</h4>
<pre>public&nbsp;PC_AddExplodeFlagToCharacteristics(<a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicData</a>&nbsp;productCharacteristicData,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicValueData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicValueData</a>&nbsp;productCharacteristicValueData,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicValueData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicValueData</a>&nbsp;productCharacteristicValueData2,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductCharacteristicData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductCharacteristicData</a>&nbsp;productCharacteristicData2,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/ProductData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">ProductData</a>&nbsp;productData,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData2,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData3,
                                          <a href="../../../../../../../../../../com/openbravo/test/integration/erp/data/masterdata/product/CharacteristicsData.html" title="class in com.openbravo.test.integration.erp.data.masterdata.product">CharacteristicsData</a>&nbsp;characteristicsData4)</pre>
<div class="block">Class constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setupProductValues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setupProductValues</h4>
<pre>public static&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>[]&gt;&nbsp;setupProductValues()
                                               throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Test parameters.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>collection of object arrays with data for the test</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="testExplodeFlagInCharacteristics--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>testExplodeFlagInCharacteristics</h4>
<pre>public&nbsp;void&nbsp;testExplodeFlagInCharacteristics()
                                      throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a>,
                                             com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</pre>
<div class="block">Test the setup client and organization flow.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
<dd><code>com.openbravo.test.integration.erp.testscripts.OpenbravoERPTestException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../../../com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PRIa_FixedPriceOrCostPlusMarginBased.html" title="class in com.openbravo.test.integration.erp.modules.functionalteam.pricing.testsuites.Pricing"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/functionalteam/pricing/testsuites/Pricing/PC_AddExplodeFlagToCharacteristics.html" target="_top">Frames</a></li>
<li><a href="PC_AddExplodeFlagToCharacteristics.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.testscripts.OpenbravoERPTest">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
